'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _i18next = require('i18next');

var _i18next2 = _interopRequireDefault(_i18next);

var _i18nextBrowserLanguagedetector = require('i18next-browser-languagedetector');

var _i18nextBrowserLanguagedetector2 = _interopRequireDefault(_i18nextBrowserLanguagedetector);

var _en = require('../lib/locals/en.json');

var _en2 = _interopRequireDefault(_en);

var _zhCN = require('../lib/locals/zh-CN.json');

var _zhCN2 = _interopRequireDefault(_zhCN);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var i18n = _i18next2.default.createInstance({}).use(_i18nextBrowserLanguagedetector2.default).init({
  fallbackLng: 'en',
  ns: ['buttons'],
  resources: {
    en: _en2.default,
    'zh-CN': _zhCN2.default
  }
});

exports.default = i18n;